/* =========================
   RESET
========================= */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

html{
  scroll-behavior:smooth;
}

body{
  font-family:
    'Poppins',
    sans-serif;
  background:
    linear-gradient(
      180deg,
      #fdf2f2 0%,
      #fff 100%
    );
  min-height:100vh;
  color:#1f2937;
  overflow-x:hidden;
  position:relative;
  padding:20px;
}

/* =========================
   BACKGROUND BLUR
========================= */

.bg-blur{
  position:fixed;
  border-radius:50%;
  filter:blur(120px);
  z-index:-1;
}

.blur-1{
  width:300px;
  height:300px;
  background:#7f1d1d;
  top:-100px;
  left:-100px;
  opacity:0.15;
}

.blur-2{
  width:260px;
  height:260px;
  background:#dc2626;
  bottom:-100px;
  right:-100px;
  opacity:0.12;
}

/* =========================
   HEADER
========================= */

.header{
  margin-bottom:30px;
  animation:fadeDown 0.8s ease;
}

.logo-wrapper{
  display:flex;
  align-items:center;
  gap:14px;
}

.logo-box{
  width:56px;
  height:56px;
  border-radius:16px;
  background:
    linear-gradient(
      135deg,
      #7f1d1d,
      #dc2626
    );
  color:white;
  display:flex;
  align-items:center;
  justify-content:center;
  font-size:24px;
  font-weight:700;
  box-shadow:
    0 10px 30px rgba(127,29,29,0.3);
}

.logo {
  width:70px;
  height:70px;
  object-fit:contain;
}

.company-name{
  font-size:22px;
  color:#7f1d1d;
  font-weight:700;
}

.company-subtitle{
  font-size:13px;
  color:#6b7280;
}

/* =========================
   MAIN WRAPPER
========================= */

.main-wrapper{
  max-width:900px;
  margin:auto;
}

/* =========================
   START SCREEN
========================= */

.start-screen{
  width:100%;
  /* min-height:75vh; */
  display:flex;
  flex-direction:column;
  justify-content:center;
  align-items:center;
  text-align:center;
  padding:30px 15px;
  border-radius:28px;
  background:
    rgba(255,255,255,0.75);
  backdrop-filter:blur(16px);
  border:
    1px solid rgba(255,255,255,0.4);
  box-shadow:
    0 20px 50px rgba(0,0,0,0.08);
  animation:fadeUp 1s ease;
}


/* =========================
   BADGE
========================= */

.badge-wrapper{

  display:flex;

  gap:12px;

  flex-wrap:wrap;

  justify-content:center;

  margin:24px;
}

/* .badge{
  display:inline-flex;
  align-items:center;
  justify-content:center;
  background:#fee2e2;
  color:#991b1b;
  padding:10px 16px;
  border-radius:999px;
  font-size:12px;
  font-weight:600;
  margin-bottom:20px;
} */

.badge{
  padding:10px 16px;
  border-radius:999px;
  font-size:12px;
  font-weight:600;
  margin-bottom:20px;

  border:none;

  cursor:pointer;

  transition:0.3s;
}

.badge.active{

  background:
    linear-gradient(
      135deg,
      #7f1d1d,
      #dc2626
    );

  color:white;

  transform:translateY(-2px);

  box-shadow:
    0 10px 20px rgba(127,29,29,0.2);
}


/* =========================
   TITLE
========================= */

.start-screen h1{
  font-size:34px;
  line-height:1.15;
  font-weight:700;
  margin-bottom:18px;
  color:#111827;
  letter-spacing:-1px;
}


/* =========================
   DESCRIPTION
========================= */

.start-screen p{
  max-width:500px;
  font-size:15px;
  color:#6b7280;
  line-height:1.8;
  margin-bottom:32px;
}


/* =========================
   BUTTON
========================= */

#startBtn{
  border:none;
  width:100%;
  max-width:320px;
  background:
    linear-gradient(
      135deg,
      #7f1d1d,
      #dc2626
    );
  color:white;
  padding:18px 22px;
  border-radius:20px;
  font-size:16px;
  font-weight:600;
  cursor:pointer;
  transition:0.3s;
  box-shadow:
    0 18px 40px rgba(127,29,29,0.25);
}

#startBtn:hover{
  transform:
    translateY(-2px)
    scale(1.01);
}

/* =========================
   FORM SECTION
========================= */

.form-section{
  animation:fadeUp 0.8s ease;
}

/* =========================
   TIMER
========================= */

#timer{
  position:sticky;
  top:16px;
  width:fit-content;
  margin-bottom:24px;
  padding:14px 20px;
  border-radius:16px;
  background:#111827;
  color:white;
  font-weight:700;
  box-shadow:
    0 10px 30px rgba(0,0,0,0.15);
  z-index:99;
}

/* =========================
   FORM
========================= */

form{
  display:flex;
  flex-direction:column;
  gap:22px;
}

.input-group,
.question-card{
  margin-bottom: 15px;
  background:rgba(255,255,255,0.72);
  backdrop-filter:blur(10px);
  border:1px solid rgba(255,255,255,0.5);
  border-radius:24px;
  padding:24px;
  box-shadow:
    0 10px 30px rgba(0,0,0,0.05);
  transition:0.3s;
}

.input-group:hover,
.question-card:hover{
  transform:translateY(-2px);
  box-shadow:
    0 18px 40px rgba(0,0,0,0.08);
}

label{
  display:block;
  margin-bottom:10px;
  font-weight:600;
}

.question-card h3{
  color:#7f1d1d;
  margin-bottom:10px;
  font-size:20px;
}

.question-card p{
  color:#6b7280;
  line-height:1.8;
  margin-bottom:18px;
}
/* =========================
   INPUT
========================= */

input,
textarea{
  width:100%;
  border: none;
  background:#f9fafb;
  padding:16px;
  border-radius:16px;
  font-size:15px;
  outline:none;
  transition:0.2s;
  border:2px solid #dc26265d;
}

input:focus,
textarea:focus{

  border-color:#dc2626;

  background:white;

  box-shadow:
    0 0 0 5px rgba(220,38,38,0.08);
}

textarea{

  min-height:180px;

  resize:vertical;

  line-height:1.8;
}

/* =========================
   SUBMIT BUTTON
========================= */

.submit-btn{

  border:none;

  background:
    linear-gradient(
      135deg,
      #7f1d1d,
      #dc2626
    );

  color:white;

  padding:18px;

  border-radius:20px;

  font-size:16px;

  font-weight:600;

  cursor:pointer;

  transition:0.3s;

  margin-top:10px;

  box-shadow:
    0 20px 40px rgba(127,29,29,0.2);
}

.submit-btn:hover{

  transform:
    translateY(-3px)
    scale(1.01);
}

/* =========================
   TOAST
========================= */

#toast{

  position:fixed;

  bottom:20px;

  right:20px;

  background:#111827;

  color:white;

  padding:14px 18px;

  border-radius:14px;

  font-size:14px;

  opacity:0;

  pointer-events:none;

  transform:translateY(20px);

  transition:0.3s;

  z-index:9999;
}

#toast.show{

  opacity:1;

  transform:translateY(0);
}

#toast.success{

  background:#16a34a;
}

#toast.error{

  background:#dc2626;
}


/* =========================
   ANIMATION
========================= */

@keyframes fadeUp{

  from{
    opacity:0;
    transform:translateY(30px);
  }

  to{
    opacity:1;
    transform:translateY(0);
  }
}

@keyframes fadeDown{

  from{
    opacity:0;
    transform:translateY(-20px);
  }

  to{
    opacity:1;
    transform:translateY(0);
  }
}

/* =========================
   TABLET
========================= */

@media(min-width:768px){

  body{
    padding:40px;
  }

  .start-screen{
    /* min-height:80vh; */
    padding:60px;
  }

  .start-screen h1{
    font-size:56px;
  }
  
  .start-screen p{
    font-size:16px;
  }

}
